searchData={"items":[{"type":"module","title":"GoogleApi.CloudScheduler.V1","doc":"API client metadata for GoogleApi.CloudScheduler.V1.","ref":"GoogleApi.CloudScheduler.V1.html"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.discovery_revision/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Api.Operations","doc":"API calls for all endpoints tagged `Operations`.","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of `1`, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_delete/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_get/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_get/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Operations.cloudscheduler_operations_list/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Operations.html#cloudscheduler_operations_list/4-returns"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_get/4","doc":"Gets information about a location.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Resource name for the location.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_get/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Location{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_get/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_create/4","doc":"Creates a job.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The location name. For example: `projects/PROJECT_ID/locations/LOCATION_ID`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudScheduler.V1.Model.Job.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_create/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Job{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_create/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_delete/4","doc":"Deletes a job.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_delete/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_delete/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_get/4","doc":"Gets a job.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_get/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Job{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_get/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_list/4","doc":"Lists jobs.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The location name. For example: `projects/PROJECT_ID/locations/LOCATION_ID`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. The maximum page size is 500. If unspecified, the page size will be the maximum. Fewer jobs than requested might be returned, even if more jobs exist; use next_page_token to determine if more jobs exist.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results the server will return. To request the first page results, page_token must be empty. To request the next page of results, page_token must be the value of next_page_token returned from the previous call to ListJobs.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_list/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.ListJobsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_list/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_patch/4","doc":"Updates a job. If successful, the updated Job is returned. If the job does not exist, `NOT_FOUND` is returned. If UpdateJob does not successfully return, it is possible for the job to be in an Job.State.UPDATE_FAILED state. A job in this state may not be executed. If this happens, retry the UpdateJob request until a successful response is received.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Optionally caller-specified in CreateJob, after which it becomes output only. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`. * `PROJECT_ID` can contain letters ([A-Za-z]), numbers ([0-9]), hyphens (-), colons (:), or periods (.). For more information, see [Identifying projects](https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects) * `LOCATION_ID` is the canonical ID for the job's location. The list of available locations can be obtained by calling ListLocations. For more information, see https://cloud.google.com/about/locations/. * `JOB_ID` can contain only letters ([A-Za-z]), numbers ([0-9]), hyphens (-), or underscores (_). The maximum length is 500 characters.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - A mask used to specify which fields of the job are being updated.\n    *   `:body` (*type:* `GoogleApi.CloudScheduler.V1.Model.Job.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_patch/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Job{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_patch/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_pause/4","doc":"Pauses a job. If a job is paused then the system will stop executing the job until it is re-enabled via ResumeJob. The state of the job is stored in state; if paused it will be set to Job.State.PAUSED. A job must be in Job.State.ENABLED to be paused.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_pause/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_pause/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudScheduler.V1.Model.PauseJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_pause/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_pause/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Job{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_pause/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_resume/4","doc":"Resume a job. This method reenables a job after it has been Job.State.PAUSED. The state of a job is stored in Job.state; after calling this method it will be set to Job.State.ENABLED. A job must be in Job.State.PAUSED to be resumed.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_resume/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_resume/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_resume/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_resume/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Job{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_resume/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_run/4","doc":"Forces a job to run now. When this method is called, Cloud Scheduler will dispatch the job, even if the job is already running.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_run/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_run/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudScheduler.V1.Model.RunJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_run/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_jobs_run/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.Job{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_jobs_run/4-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_list/4","doc":"Lists information about the supported locations for this service.","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudScheduler.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource that owns the locations collection, if applicable.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return. If not set, the service selects a default.\n    *   `:pageToken` (*type:* `String.t`) - A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Api.Projects.cloudscheduler_projects_locations_list/4","doc":"*   `{:ok, %GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudScheduler.V1.Api.Projects.html#cloudscheduler_projects_locations_list/4-returns"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Connection","doc":"Handle Tesla connections for GoogleApi.CloudScheduler.V1.","ref":"GoogleApi.CloudScheduler.V1.Connection.html"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.CloudScheduler.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.CloudScheduler.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.CloudScheduler.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudScheduler.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.CloudScheduler.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.CloudScheduler.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.CloudScheduler.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudScheduler.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudScheduler.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudScheduler.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudScheduler.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudScheduler.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudScheduler.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudScheduler.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudScheduler.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.CloudScheduler.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.CloudScheduler.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.CloudScheduler.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.CloudScheduler.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.CloudScheduler.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudScheduler.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.CloudScheduler.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Connection.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget","doc":"App Engine target. The job will be pushed to a job handler by means of an HTTP request via an http_method such as HTTP POST, HTTP GET, etc. The job is acknowledged by means of an HTTP response code in the range [200 - 299]. Error 503 is considered an App Engine system error instead of an application error. Requests returning error 503 will be retried regardless of retry configuration and not counted against retry counts. Any other response code, or a failure to receive a response before the deadline, constitutes a failed attempt.","ref":"GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget","doc":"*   `appEngineRouting` (*type:* `GoogleApi.CloudScheduler.V1.Model.AppEngineRouting.t`, *default:* `nil`) - App Engine Routing setting for the job.\n*   `body` (*type:* `String.t`, *default:* `nil`) - Body. HTTP request body. A request body is allowed only if the HTTP method is POST or PUT. It will result in invalid argument error to set a body on a job with an incompatible HttpMethod.\n*   `headers` (*type:* `map()`, *default:* `nil`) - HTTP request headers. This map contains the header field names and values. Headers can be set when the job is created. Cloud Scheduler sets some headers to default values: * `User-Agent`: By default, this header is `\"AppEngine-Google; (+http://code.google.com/appengine)\"`. This header can be modified, but Cloud Scheduler will append `\"AppEngine-Google; (+http://code.google.com/appengine)\"` to the modified `User-Agent`. * `X-CloudScheduler`: This header will be set to true. * `X-CloudScheduler-JobName`: This header will contain the job name. * `X-CloudScheduler-ScheduleTime`: For Cloud Scheduler jobs specified in the unix-cron format, this header will contain the job schedule as an offset of UTC parsed according to RFC3339. If the job has a body and the following headers are not set by the user, Cloud Scheduler sets default values: * `Content-Type`: This will be set to `\"application/octet-stream\"`. You can override this default by explicitly setting `Content-Type` to a particular media type when creating the job. For example, you can set `Content-Type` to `\"application/json\"`. The headers below are output only. They cannot be set or overridden: * `Content-Length`: This is computed by Cloud Scheduler. * `X-Google-*`: For Google internal use only. * `X-AppEngine-*`: For Google internal use only. In addition, some App Engine headers, which contain job-specific information, are also be sent to the job handler.\n*   `httpMethod` (*type:* `String.t`, *default:* `nil`) - The HTTP method to use for the request. PATCH and OPTIONS are not permitted.\n*   `relativeUri` (*type:* `String.t`, *default:* `nil`) - The relative URI. The relative URL must begin with \"/\" and must be a valid HTTP relative URL. It can contain a path, query string arguments, and `#` fragments. If the relative URL is empty, then the root path \"/\" will be used. No spaces are allowed, and the maximum length allowed is 2083 characters.","ref":"GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.AppEngineRouting","doc":"App Engine Routing. For more information about services, versions, and instances see [An Overview of App Engine](https://cloud.google.com/appengine/docs/python/an-overview-of-app-engine), [Microservices Architecture on Google App Engine](https://cloud.google.com/appengine/docs/python/microservices-on-app-engine), [App Engine Standard request routing](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed), and [App Engine Flex request routing](https://cloud.google.com/appengine/docs/flexible/python/how-requests-are-routed).","ref":"GoogleApi.CloudScheduler.V1.Model.AppEngineRouting.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.AppEngineRouting","doc":"*   `host` (*type:* `String.t`, *default:* `nil`) - Output only. The host that the job is sent to. For more information about how App Engine requests are routed, see [here](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed). The host is constructed as: * `host = [application_domain_name]` `| [service] + '.' + [application_domain_name]` `| [version] + '.' + [application_domain_name]` `| [version_dot_service]+ '.' + [application_domain_name]` `| [instance] + '.' + [application_domain_name]` `| [instance_dot_service] + '.' + [application_domain_name]` `| [instance_dot_version] + '.' + [application_domain_name]` `| [instance_dot_version_dot_service] + '.' + [application_domain_name]` * `application_domain_name` = The domain name of the app, for example .appspot.com, which is associated with the job's project ID. * `service =` service * `version =` version * `version_dot_service =` version `+ '.' +` service * `instance =` instance * `instance_dot_service =` instance `+ '.' +` service * `instance_dot_version =` instance `+ '.' +` version * `instance_dot_version_dot_service =` instance `+ '.' +` version `+ '.' +` service If service is empty, then the job will be sent to the service which is the default service when the job is attempted. If version is empty, then the job will be sent to the version which is the default version when the job is attempted. If instance is empty, then the job will be sent to an instance which is available when the job is attempted. If service, version, or instance is invalid, then the job will be sent to the default version of the default service when the job is attempted.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - App instance. By default, the job is sent to an instance which is available when the job is attempted. Requests can only be sent to a specific instance if [manual scaling is used in App Engine Standard](https://cloud.google.com/appengine/docs/python/an-overview-of-app-engine?#scaling_types_and_instance_classes). App Engine Flex does not support instances. For more information, see [App Engine Standard request routing](https://cloud.google.com/appengine/docs/standard/python/how-requests-are-routed) and [App Engine Flex request routing](https://cloud.google.com/appengine/docs/flexible/python/how-requests-are-routed).\n*   `service` (*type:* `String.t`, *default:* `nil`) - App service. By default, the job is sent to the service which is the default service when the job is attempted.\n*   `version` (*type:* `String.t`, *default:* `nil`) - App version. By default, the job is sent to the version which is the default version when the job is attempted.","ref":"GoogleApi.CloudScheduler.V1.Model.AppEngineRouting.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.AppEngineRouting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.AppEngineRouting.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.AppEngineRouting.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.AppEngineRouting.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest","doc":"The request message for Operations.CancelOperation.","ref":"GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.CancelOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.CloudScheduler.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.Empty","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.HttpTarget","doc":"Http target. The job will be pushed to the job handler by means of an HTTP request via an http_method such as HTTP POST, HTTP GET, etc. The job is acknowledged by means of an HTTP response code in the range [200 - 299]. A failure to receive a response constitutes a failed execution. For a redirected request, the response returned by the redirected request is considered.","ref":"GoogleApi.CloudScheduler.V1.Model.HttpTarget.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.HttpTarget","doc":"*   `body` (*type:* `String.t`, *default:* `nil`) - HTTP request body. A request body is allowed only if the HTTP method is POST, PUT, or PATCH. It is an error to set body on a job with an incompatible HttpMethod.\n*   `headers` (*type:* `map()`, *default:* `nil`) - HTTP request headers. This map contains the header field names and values. The user can specify HTTP request headers to send with the job's HTTP request. Repeated headers are not supported, but a header value can contain commas. The following headers represent a subset of the headers that accompany the job's HTTP request. Some HTTP request headers are ignored or replaced. A partial list of headers that are ignored or replaced is below: * Host: This will be computed by Cloud Scheduler and derived from uri. * `Content-Length`: This will be computed by Cloud Scheduler. * `User-Agent`: This will be set to `\"Google-Cloud-Scheduler\"`. * `X-Google-*`: Google internal use only. * `X-AppEngine-*`: Google internal use only. * `X-CloudScheduler`: This header will be set to true. * `X-CloudScheduler-JobName`: This header will contain the job name. * `X-CloudScheduler-ScheduleTime`: For Cloud Scheduler jobs specified in the unix-cron format, this header will contain the job schedule as an offset of UTC parsed according to RFC3339. If the job has a body and the following headers are not set by the user, Cloud Scheduler sets default values: * `Content-Type`: This will be set to `\"application/octet-stream\"`. You can override this default by explicitly setting `Content-Type` to a particular media type when creating the job. For example, you can set `Content-Type` to `\"application/json\"`. The total size of headers must be less than 80KB.\n*   `httpMethod` (*type:* `String.t`, *default:* `nil`) - Which HTTP method to use for the request.\n*   `oauthToken` (*type:* `GoogleApi.CloudScheduler.V1.Model.OAuthToken.t`, *default:* `nil`) - If specified, an [OAuth token](https://developers.google.com/identity/protocols/OAuth2) will be generated and attached as an `Authorization` header in the HTTP request. This type of authorization should generally only be used when calling Google APIs hosted on *.googleapis.com.\n*   `oidcToken` (*type:* `GoogleApi.CloudScheduler.V1.Model.OidcToken.t`, *default:* `nil`) - If specified, an [OIDC](https://developers.google.com/identity/protocols/OpenIDConnect) token will be generated and attached as an `Authorization` header in the HTTP request. This type of authorization can be used for many scenarios, including calling Cloud Run, or endpoints where you intend to validate the token yourself.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The full URI path that the request will be sent to. This string must begin with either \"http://\" or \"https://\". Some examples of valid values for uri are: `http://acme.com` and `https://acme.com/sales:8080`. Cloud Scheduler will encode some characters for safety and compatibility. The maximum allowed URL length is 2083 characters after encoding.","ref":"GoogleApi.CloudScheduler.V1.Model.HttpTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.HttpTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.HttpTarget.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.HttpTarget.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.HttpTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.Job","doc":"Configuration for a job. The maximum allowed size for a job is 1MB.","ref":"GoogleApi.CloudScheduler.V1.Model.Job.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.Job","doc":"*   `appEngineHttpTarget` (*type:* `GoogleApi.CloudScheduler.V1.Model.AppEngineHttpTarget.t`, *default:* `nil`) - App Engine HTTP target.\n*   `attemptDeadline` (*type:* `String.t`, *default:* `nil`) - The deadline for job attempts. If the request handler does not respond by this deadline then the request is cancelled and the attempt is marked as a `DEADLINE_EXCEEDED` failure. The failed attempt can be viewed in execution logs. Cloud Scheduler will retry the job according to the RetryConfig. The default and the allowed values depend on the type of target: * For HTTP targets, the default is 3 minutes. The deadline must be in the interval [15 seconds, 30 minutes]. * For App Engine HTTP targets, 0 indicates that the request has the default deadline. The default deadline depends on the scaling type of the service: 10 minutes for standard apps with automatic scaling, 24 hours for standard apps with manual and basic scaling, and 60 minutes for flex apps. If the request deadline is set, it must be in the interval [15 seconds, 24 hours 15 seconds]. * For Pub/Sub targets, this field is ignored.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optionally caller-specified in CreateJob or UpdateJob. A human-readable description for the job. This string must not contain more than 500 characters.\n*   `httpTarget` (*type:* `GoogleApi.CloudScheduler.V1.Model.HttpTarget.t`, *default:* `nil`) - HTTP target.\n*   `lastAttemptTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the last job attempt started.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optionally caller-specified in CreateJob, after which it becomes output only. The job name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/jobs/JOB_ID`. * `PROJECT_ID` can contain letters ([A-Za-z]), numbers ([0-9]), hyphens (-), colons (:), or periods (.). For more information, see [Identifying projects](https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects) * `LOCATION_ID` is the canonical ID for the job's location. The list of available locations can be obtained by calling ListLocations. For more information, see https://cloud.google.com/about/locations/. * `JOB_ID` can contain only letters ([A-Za-z]), numbers ([0-9]), hyphens (-), or underscores (_). The maximum length is 500 characters.\n*   `pubsubTarget` (*type:* `GoogleApi.CloudScheduler.V1.Model.PubsubTarget.t`, *default:* `nil`) - Pub/Sub target.\n*   `retryConfig` (*type:* `GoogleApi.CloudScheduler.V1.Model.RetryConfig.t`, *default:* `nil`) - Settings that determine the retry behavior.\n*   `schedule` (*type:* `String.t`, *default:* `nil`) - Required, except when used with UpdateJob. Describes the schedule on which the job will be executed. The schedule can be either of the following types: * [Crontab](https://en.wikipedia.org/wiki/Cron#Overview) * English-like [schedule](https://cloud.google.com/scheduler/docs/configuring/cron-job-schedules) As a general rule, execution `n + 1` of a job will not begin until execution `n` has finished. Cloud Scheduler will never allow two simultaneously outstanding executions. For example, this implies that if the `n+1`th execution is scheduled to run at 16:00 but the `n`th execution takes until 16:15, the `n+1`th execution will not start until `16:15`. A scheduled start time will be delayed if the previous execution has not ended when its scheduled time occurs. If retry_count > 0 and a job attempt fails, the job will be tried a total of retry_count times, with exponential backoff, until the next scheduled start time. If retry_count is 0, a job attempt will not be retried if it fails. Instead the Cloud Scheduler system will wait for the next scheduled execution time. Setting retry_count to 0 does not prevent failed jobs from running according to schedule after the failure.\n*   `scheduleTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The next time the job is scheduled. Note that this may be a retry of a previously failed attempt or the next execution time according to the schedule.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. State of the job.\n*   `status` (*type:* `GoogleApi.CloudScheduler.V1.Model.Status.t`, *default:* `nil`) - Output only. The response from the target for the last attempted execution.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - Specifies the time zone to be used in interpreting schedule. The value of this field must be a time zone name from the [tz database](http://en.wikipedia.org/wiki/Tz_database). Note that some time zones include a provision for daylight savings time. The rules for daylight saving time are determined by the chosen tz. For UTC use the string \"utc\". If a time zone is not specified, the default will be in UTC (also known as GMT).\n*   `userUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The creation time of the job.","ref":"GoogleApi.CloudScheduler.V1.Model.Job.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.Job.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.Job.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.Job.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.Job.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.ListJobsResponse","doc":"Response message for listing jobs using ListJobs.","ref":"GoogleApi.CloudScheduler.V1.Model.ListJobsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.ListJobsResponse","doc":"*   `jobs` (*type:* `list(GoogleApi.CloudScheduler.V1.Model.Job.t)`, *default:* `nil`) - The list of jobs.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve next page of results. Pass this value in the page_token field in the subsequent call to ListJobs to retrieve the next page of results. If this is empty it indicates that there are no more results through which to paginate. The page token is valid for only 2 hours.","ref":"GoogleApi.CloudScheduler.V1.Model.ListJobsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.ListJobsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.ListJobsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.ListJobsResponse.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.ListJobsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse","doc":"The response message for Locations.ListLocations.","ref":"GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse","doc":"*   `locations` (*type:* `list(GoogleApi.CloudScheduler.V1.Model.Location.t)`, *default:* `nil`) - A list of locations that matches the specified filter in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.","ref":"GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.ListLocationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.CloudScheduler.V1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.Location","doc":"A resource that represents a Google Cloud location.","ref":"GoogleApi.CloudScheduler.V1.Model.Location.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.Location","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".\n*   `labels` (*type:* `map()`, *default:* `nil`) - Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - The canonical id for this location. For example: `\"us-east1\"`.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata. For example the available capacity at the given location.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`","ref":"GoogleApi.CloudScheduler.V1.Model.Location.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.Location.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.Location.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.Location.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.Location.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.OAuthToken","doc":"Contains information needed for generating an [OAuth token](https://developers.google.com/identity/protocols/OAuth2). This type of authorization should generally only be used when calling Google APIs hosted on *.googleapis.com.","ref":"GoogleApi.CloudScheduler.V1.Model.OAuthToken.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.OAuthToken","doc":"*   `scope` (*type:* `String.t`, *default:* `nil`) - OAuth scope to be used for generating OAuth access token. If not specified, \"https://www.googleapis.com/auth/cloud-platform\" will be used.\n*   `serviceAccountEmail` (*type:* `String.t`, *default:* `nil`) - [Service account email](https://cloud.google.com/iam/docs/service-accounts) to be used for generating OAuth token. The service account must be within the same project as the job. The caller must have iam.serviceAccounts.actAs permission for the service account.","ref":"GoogleApi.CloudScheduler.V1.Model.OAuthToken.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.OAuthToken.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.OAuthToken.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.OAuthToken.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.OAuthToken.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.OidcToken","doc":"Contains information needed for generating an [OpenID Connect token](https://developers.google.com/identity/protocols/OpenIDConnect). This type of authorization can be used for many scenarios, including calling Cloud Run, or endpoints where you intend to validate the token yourself.","ref":"GoogleApi.CloudScheduler.V1.Model.OidcToken.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.OidcToken","doc":"*   `audience` (*type:* `String.t`, *default:* `nil`) - Audience to be used when generating OIDC token. If not specified, the URI specified in target will be used.\n*   `serviceAccountEmail` (*type:* `String.t`, *default:* `nil`) - [Service account email](https://cloud.google.com/iam/docs/service-accounts) to be used for generating OIDC token. The service account must be within the same project as the job. The caller must have iam.serviceAccounts.actAs permission for the service account.","ref":"GoogleApi.CloudScheduler.V1.Model.OidcToken.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.OidcToken.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.OidcToken.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.OidcToken.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.OidcToken.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.CloudScheduler.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.CloudScheduler.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.CloudScheduler.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.OperationMetadata","doc":"Represents the metadata of the long-running operation.","ref":"GoogleApi.CloudScheduler.V1.Model.OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.OperationMetadata","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - Output only. API version used to start the operation.\n*   `cancelRequested` (*type:* `boolean()`, *default:* `nil`) - Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have google.longrunning.Operation.error value with a google.rpc.Status.code of `1`, corresponding to `Code.CANCELLED`.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation was created.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation finished running.\n*   `statusDetail` (*type:* `String.t`, *default:* `nil`) - Output only. Human-readable status of the operation, if any.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Output only. Server-defined resource path for the target of the operation.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the verb executed by the operation.","ref":"GoogleApi.CloudScheduler.V1.Model.OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.OperationMetadata.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.PauseJobRequest","doc":"Request message for PauseJob.","ref":"GoogleApi.CloudScheduler.V1.Model.PauseJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.PauseJobRequest","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.PauseJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.PauseJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.PauseJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.PauseJobRequest.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.PauseJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.PubsubMessage","doc":"A message that is published by publishers and consumed by subscribers. The message must contain either a non-empty data field or at least one attribute. Note that client libraries represent this object differently depending on the language. See the corresponding [client library documentation](https://cloud.google.com/pubsub/docs/reference/libraries) for more information. See [quotas and limits] (https://cloud.google.com/pubsub/quotas) for more information about message limits.","ref":"GoogleApi.CloudScheduler.V1.Model.PubsubMessage.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.PubsubMessage","doc":"*   `attributes` (*type:* `map()`, *default:* `nil`) - Optional. Attributes for this message. If this field is empty, the message must contain non-empty data. This can be used to filter messages on the subscription.\n*   `data` (*type:* `String.t`, *default:* `nil`) - Optional. The message data field. If this field is empty, the message must contain at least one attribute.\n*   `messageId` (*type:* `String.t`, *default:* `nil`) - ID of this message, assigned by the server when the message is published. Guaranteed to be unique within the topic. This value may be read by a subscriber that receives a `PubsubMessage` via a `Pull` call or a push delivery. It must not be populated by the publisher in a `Publish` call.\n*   `orderingKey` (*type:* `String.t`, *default:* `nil`) - Optional. If non-empty, identifies related messages for which publish order should be respected. If a `Subscription` has `enable_message_ordering` set to `true`, messages published with the same non-empty `ordering_key` value will be delivered to subscribers in the order in which they are received by the Pub/Sub system. All `PubsubMessage`s published in a given `PublishRequest` must specify the same `ordering_key` value. For more information, see [ordering messages](https://cloud.google.com/pubsub/docs/ordering).\n*   `publishTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the message was published, populated by the server when it receives the `Publish` call. It must not be populated by the publisher in a `Publish` call.","ref":"GoogleApi.CloudScheduler.V1.Model.PubsubMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.PubsubMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.PubsubMessage.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.PubsubMessage.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.PubsubMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.PubsubTarget","doc":"Pub/Sub target. The job will be delivered by publishing a message to the given Pub/Sub topic.","ref":"GoogleApi.CloudScheduler.V1.Model.PubsubTarget.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.PubsubTarget","doc":"*   `attributes` (*type:* `map()`, *default:* `nil`) - Attributes for PubsubMessage. Pubsub message must contain either non-empty data, or at least one attribute.\n*   `data` (*type:* `String.t`, *default:* `nil`) - The message payload for PubsubMessage. Pubsub message must contain either non-empty data, or at least one attribute.\n*   `topicName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the Cloud Pub/Sub topic to which messages will be published when a job is delivered. The topic name must be in the same format as required by Pub/Sub's [PublishRequest.name](https://cloud.google.com/pubsub/docs/reference/rpc/google.pubsub.v1#publishrequest), for example `projects/PROJECT_ID/topics/TOPIC_ID`. The topic must be in the same project as the Cloud Scheduler job.","ref":"GoogleApi.CloudScheduler.V1.Model.PubsubTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.PubsubTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.PubsubTarget.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.PubsubTarget.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.PubsubTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest","doc":"Request message for ResumeJob.","ref":"GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.ResumeJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.RetryConfig","doc":"Settings that determine the retry behavior. By default, if a job does not complete successfully (meaning that an acknowledgement is not received from the handler, then it will be retried with exponential backoff according to the settings in RetryConfig.","ref":"GoogleApi.CloudScheduler.V1.Model.RetryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.RetryConfig","doc":"*   `maxBackoffDuration` (*type:* `String.t`, *default:* `nil`) - The maximum amount of time to wait before retrying a job after it fails. The default value of this field is 1 hour.\n*   `maxDoublings` (*type:* `integer()`, *default:* `nil`) - The time between retries will double `max_doublings` times. A job's retry interval starts at min_backoff_duration, then doubles `max_doublings` times, then increases linearly, and finally retries at intervals of max_backoff_duration up to retry_count times. For example, if min_backoff_duration is 10s, max_backoff_duration is 300s, and `max_doublings` is 3, then the job will first be retried in 10s. The retry interval will double three times, and then increase linearly by 2^3 * 10s. Finally, the job will retry at intervals of max_backoff_duration until the job has been attempted retry_count times. Thus, the requests will retry at 10s, 20s, 40s, 80s, 160s, 240s, 300s, 300s, .... The default value of this field is 5.\n*   `maxRetryDuration` (*type:* `String.t`, *default:* `nil`) - The time limit for retrying a failed job, measured from time when an execution was first attempted. If specified with retry_count, the job will be retried until both limits are reached. The default value for max_retry_duration is zero, which means retry duration is unlimited.\n*   `minBackoffDuration` (*type:* `String.t`, *default:* `nil`) - The minimum amount of time to wait before retrying a job after it fails. The default value of this field is 5 seconds.\n*   `retryCount` (*type:* `integer()`, *default:* `nil`) - The number of attempts that the system will make to run a job using the exponential backoff procedure described by max_doublings. The default value of retry_count is zero. If retry_count is 0, a job attempt will not be retried if it fails. Instead the Cloud Scheduler system will wait for the next scheduled execution time. Setting retry_count to 0 does not prevent failed jobs from running according to schedule after the failure. If retry_count is set to a non-zero number then Cloud Scheduler will retry failed attempts, using exponential backoff, retry_count times, or until the next scheduled execution time, whichever comes first. Values greater than 5 and negative values are not allowed.","ref":"GoogleApi.CloudScheduler.V1.Model.RetryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.RetryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.RetryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.RetryConfig.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.RetryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.RunJobRequest","doc":"Request message for forcing a job to run now using RunJob.","ref":"GoogleApi.CloudScheduler.V1.Model.RunJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.RunJobRequest","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.RunJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.RunJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.RunJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.RunJobRequest.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.RunJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudScheduler.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.CloudScheduler.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.CloudScheduler.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.CloudScheduler.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudScheduler.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudScheduler.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.CloudScheduler.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.CloudScheduler.V1.Model.Status.html#t:t/0"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.35.1"}}